API ReferenceChangelog
Log In
API Reference

Copy video data from an S3 input location into the Pixop Platform

Copies video data from a preconfigured S3 input location into the Pixop Platform, creating a new master video record for the selected team. This is similar to POST /v1/videos/in/s3, but uses the inputLocationId for the S3 bucket reference.

Path Params
uuid
required

The unique identifier for the input location.

Query Params
boolean
Defaults to false

Determines the ingestion level:

  • false: Only metadata is ingested. Thumbnails, web video artifacts, quality assessments, and deep scanning type analysis are not performed. This mode is suitable for third-party integrations that process videos in an ephemeral manner.
  • true: Full ingestion is performed, including metadata, thumbnails, web video artifacts, quality assessments, and deep scanning analysis. This mode is used for videos that need to be available on the web application.
uuid

Specifies the team ID for the operation.

  • For POST requests, assigns the new object to the specified team.
  • For GET requests, retrieves data for the specified team. If not provided, defaults to the ID of the default team associated with the API key.
Body Params

Parameters required for importing a video from an S3 bucket into the Pixop Platform.

Represents the fields that can be updated for a video resource.

string
required
length between 1 and 255

The name of the video. Used to easily identify specific videos within projects. The name must be between 1 and 255 characters long.

string
length between 0 and 511

Optional description of the video. The description must be between 0 and 511 characters long.

uuid

The ID of the project to which the video belongs. If not specified, the video is added to the default project.

string
length between 1 and 255

The name of the video file, such as myvideo.mp4. If not specified, it is derived from the S3 object key.

string
required
length between 1 and 1024

The key of the object in the S3 bucket from which the video is imported.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*